Write-Host " ---- Eval ---- "
$Ver=$args[0]
$Nombre=$args[1]

Write-Host "Full-size"
Write-Host "RestNet50"
for ($i=0; $i -lt 5; $i++)
{
    $nextVer = $Ver+$i
    Write-Host "Fold $($i) Ver. $($nextVer)"
    python RARP_NVB.py --Phase "eval_all" --Fold $i -lv $nextVer --Remove_Blackbar 1 --Model 0 --Log_Name "log_ResNet50_$($Nombre)" -s 0.75 -ns 2 --sClass 1 --JIndex 1
    read-host "Press ENTER to continue..."
    if ($i -lt 3) {
        Write-Host "Next Fold..."
    }
}

Write-Host "RestNet18"
for ($i=0; $i -lt 5; $i++)
{
    $nextVer = $Ver+$i
    Write-Host "Fold $($i) Ver. $($nextVer)"
    python RARP_NVB.py --Phase "eval_all" --Fold $i -lv $nextVer --Remove_Blackbar 1 --Model 1 --Log_Name "log_restnet18_$($Nombre)" -s 0.75 -ns 2 --sClass 1 --JIndex 1
    read-host "Press ENTER to continue..."
    if ($i -lt 3) {
        Write-Host "Next Fold..."
    }
}

Write-Host "MobileNetV2"
for ($i=0; $i -lt 5; $i++)
{
    $nextVer = $Ver+$i
    Write-Host "Fold $($i) Ver. $($nextVer)"
    python RARP_NVB.py --Phase "eval_all" --Fold $i -lv $nextVer --Remove_Blackbar 1 --Model 2 --Log_Name "log_MobileNetV2_$($Nombre)" -s 0.75 -ns 2 --sClass 1 --JIndex 1
    read-host "Press ENTER to continue..."
    if ($i -lt 3) {
        Write-Host "Next Fold..."
    }
}

Write-Host "EfficientNetV2"
for ($i=0; $i -lt 5; $i++)
{
    $nextVer = $Ver+$i
    Write-Host "Fold $($i) Ver. $($nextVer)"
    python RARP_NVB.py --Phase "eval_all" --Fold $i -lv $nextVer --Remove_Blackbar 1 --Model 3 --Log_Name "log_EfficientNetV2_$($Nombre)" -s 0.75 -ns 2 --sClass 1 --JIndex 1
    read-host "Press ENTER to continue..."
    if ($i -lt 3) {
        Write-Host "Next Fold..."
    }
}

Write-Host "DenseNet169"
for ($i=0; $i -lt 5; $i++)
{
    $nextVer = $Ver+$i
    Write-Host "Fold $($i) Ver. $($nextVer)"
    python RARP_NVB.py --Phase "eval_all" --Fold $i -lv $nextVer --Remove_Blackbar 1 --Model 3 --Log_Name "log_DenseNet169_$($Nombre)" -s 0.75 -ns 2 --sClass 1 --JIndex 1
    read-host "Press ENTER to continue..."
    if ($i -lt 3) {
        Write-Host "Next Fold..."
    }
}

